##### 3.4.1.8 topicref-atts, topicref-atts-no-toc, and topicref-atts-without-format attribute groups

The "topicref-atts", "topicref-atts-no-toc", and "topicref-atts-without-format" attribute groups represent collections of attributes used in numerous map elements. With two exceptions, the three groups are identical. Neither "topicref-atts" nor "topicref-atts-without-format" provides a default for the toc attribute, while "topicref-atts-no-toc" provides a default of "no". Both "topicref-atts" and "topicref-atts-no-toc" include the format attribute, while "topicref-atts-without-format" omits the format attribute to allow specialization authors to declare the format attribute with specific default values.

###### Attributes

The table below describes the "topicref-atts" attribute group. The "topicref-atts-no-toc" group is the same, except for the toc attribute, which is modified to provide a default of "no". The "topicref-atts-without-format" group is also the same as "topicref-atts", except that it does not define the format attribute.

Name | Description | Data Type | Default Value | Required?
collection-type | Collection types describe how links relate to each other. The processing default is "unordered", although no default is specified in the DTD or Schema. unordered Indicates that the order of the child topics is not significant. sequence Indicates that the order of the child topics is significant; output processors will typically link between them in order. choice Indicates that one of the children should be selected. family Represents a tight grouping in which each of the referenced topics not only relates to the current topic but also relate to each other. Usage of the collection-type attribute on <reltable> and <relcolspec> is currently undefined and reserved for future use. | (unordered | sequence | choice | family | -dita-use-​conref-​target) | #IMPLIED | No
processing-role | Describes the processing role of the referenced topic. The processing default is "normal". normal Normal topic that is a readable part of the information. resource-only The topic is used as a resource for processing purposes, but is not a readable unit of information on its own. This topic should not be included in a rendered table of contents, and the topic should not be rendered on its own. | (normal | resource-only | -dita-use-​conref-​target) | #IMPLIED | No
type | Describes the target of a reference. See 3.4.2.8 The type attribute for detailed information on supported values and processing implications. | CDATA | #IMPLIED | No
scope | The scope attribute identifies the closeness of the relationship between the current document and the target resource. See 3.4.2.10 The scope attribute for more information on values. | (local | peer | external | -dita-use-​conref-​target) | #IMPLIED | No
locktitle | If locktitle is set to "yes", the <navtitle> element or @navtitle attribute is used if it is present. Otherwise, the navtitle is ignored and the navigation title is retrieved from the referenced file. The @navtitle attribute is deprecated in favor of the <navtitle> element. When both a <navtitle> element and a navtitle attribute are specified, the <navtitle> element should be used. yes The navtitle in the map is used. no The navtitle or title of the topic is used. This is the processing default. | (yes | no | -dita-use-​conref-​target) | #IMPLIED | No
format | The format attribute identifies the format of the resource being referenced. See 3.4.2.9 The format attribute for details on supported values. | CDATA | #IMPLIED | No
linking | Defines some specific linking characteristics of a topic's current location in the map. targetonly A topic can only be linked to and cannot link to other topics. sourceonly A topic cannot be linked to but can link to other topics. normal A topic can be linked to and can link to other topics. Use this to override the linking value of a parent topic. none A topic cannot be linked to or link to other topics. | (targetonly | sourceonly | normal | none | -dita-use-​conref-​target) | #IMPLIED | No
toc | Specifies whether a topic appears in the table of contents (TOC). If the value is not specified locally, but is specified on an ancestor, the value will cascade from the closest ancestor. | (yes | no | -dita-use-​conref-​target) | #IMPLIED | No
print | Specifies whether the topic should be included in a print-specific rendition, such as PDF. The processing default is "yes". yes Include the topic in the print-oriented file. no Do not include the topic in a print-oriented file. printonly Only include the topic when rendering the DITA content in a print-oriented context; the topic should not be included in other contexts, such as when rendering as HTML. | (yes | no | printonly | -dita-use-​conref-​target) | #IMPLIED | No
search | Describes whether the target is available for searching. yes no -dita-use-​conref-​target | (yes | no | -dita-use-​conref-​target) | #IMPLIED | No
chunk | When a set of topics is transformed using a map, the chunk attribute allows multi-topic documents to be broken into smaller files and multiple individual topics to be combined into larger combined documents. For a detailed description of the chunk attribute and its usage, see 2.1.3.7 Chunking in the DITA Architectural Specification. | CDATA | #IMPLIED | No

Previous Topic: 3.4.1.7.1 rel-atts attribute group

Next Topic: 3.4.1.9 Other common DITA attributes

Parent Topic: 3.4.1 Commonly referenced attribute groups

Sibling Topics:

3.4.1.1 display-atts attribute group

3.4.1.2 global-atts attribute group

3.4.1.3 univ-atts attribute group

3.4.1.4 id-atts attribute group

3.4.1.5 select-atts attribute group

3.4.1.6 localization-atts attribute group

3.4.1.7 relational-atts attribute group

3.4.1.9 Other common DITA attributes